﻿
using HeuristicLab.Common;
using HeuristicLab.Operators;

namespace HeuristicLab.EvolutionaryTracking.EvolutionTrackingOperators {
  public class EvolutionTrackingOperator : SingleSuccessorOperator {
    // evolution tracking-related parameters
    private const string ResultsParameterName = "Results";
    private const string PopulationGraphParameterName = "PopulationGraph";
    private const string GenerationsParameterName = "Generations";

    protected EvolutionTrackingOperator(EvolutionTrackingOperator original, Cloner cloner)
      : base(original, cloner) {
    }
    public override IDeepCloneable Clone(Cloner cloner) {
      return new EvolutionTrackingOperator(this, cloner);
    }
  }
}
