﻿using System.Collections.Generic;

namespace HeuristicLab.EvolutionaryTracking {
  public interface IGenealogyGraph<TVertex> : IDirectedGraph<TVertex> where TVertex : class, IGenealogyGraphNode {
    Dictionary<double, LinkedList<TVertex>> Ranks { get; set; }
  }

  public interface IGenealogyGraph : IGenealogyGraph<IGenealogyGraphNode> {
  }
}